%define	fversion	%(echo %{version} | tr r - )
Summary:	Cross-platform library for OpenGL rendering
Summary(pl):	Wieloplatformowa biblioteka do renderingu OpenGL
Name:		Producer
Version:	0.8.5r3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.andesengineering.com/Producer/Download/%{name}-%{fversion}.tar.gz
# Source0-md5:	889c99c47a3af7d8df03fb5584919cbe
Patch0:		%{name}-soname.patch
URL:		http://www.andesengineering.com/Producer/index.html
BuildRequires:	OpenGL-devel
BuildRequires:	OpenThreads-devel
BuildRequires:	libstdc++-devel
Provides:	OpenProducer = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Producer (or simply Producer) is a cross-platform, C++ library
for managing OpenGL rendering contexts in a windowing system
independent manner. Producer provides a simple, yet powerfully
scalable approach for real-time 3D applications wishing to run within
a single window to large, multidisplay systems. Producer is highly
portable and has been tested on Linux, Windows, Mac OSX, Solaris and
IRIX. Producer works on all Unix based OS's (including Mac OSX)
through the X11 Windowing system, and through the native win32 on
Windows. Producer is written with productivity, performance and
scalability in mind by adhering to industry standard and employing
advanced software engineering practices. Software developers wishing
to produce 3D rendering software that can display on a desktop, and
move to a large system or clustered system of displays by simply
changing a configuration file, can depend on Open Producer to handle
all the complexity for them.

%description -l pl
Open Producer (lub po prostu Producer) jest wieloplatformow
bibliotek C++ do zarzdzania renderingiem OpenGL. Producer udostpnia
prost, ale skalowaln moliwo dla aplikacji czasu rzeczywistego 3D
od chccych uruchamia si w pojedynczym oknie a do wielkich,
wieloekranowych systemw. Producer jest bardzo przenony i
przetestowany na Linuksie, Windows, MacOS X, Solarisie i IRIXie.
Producer dziaa na wszystkich bazujcych na Uniksie systemach
(wczajc w to MacOS X) poprzez system okien X11 lub przez natywne
wywoania win32 na Windows. Producer by pisany z myl o wydajnoci i
skalowalnoci uwzgldniajc systemy produkcyjne. Autorzy
oprogramowania chccy tworzy aplikacje renderujce 3D, ktre mog si
wywietla na ekranie lub przenie na wielki system lub klaster
systemw wywietlaczy poprzez prost zmian plikw konfiguracyjnych,
mog polega na Open Producer, e obsuy wszystko co jest potrzebne
dla nich.

%package devel
Summary:	Development files for Producer
Summary(pl):	Pliki programistyczne biblioteki Producer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Development files for Producent.

%description devel -l pl
Biblioteki programistyczne biblioteki Producer.

%prep
%setup -q -n %{name}
%patch0 -p1

find -type d -name CVS |xargs rm -rf

%build
%{__make} \
	CXX="%{__cxx} %{rpmcflags} -fPIC -fpermissive"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 INST_LOCATION=$RPM_BUILD_ROOT%{_prefix}
if [ "%{_libdir}" == "%{_prefix}/lib64" ]; then
	mv $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}
fi
ln -sf `basename $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.*` $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc README.txt doc
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}
